<?php

/**
 * Gateway Management controller.
 *
 * @category   Apps
 * @package    Gateway_Management
 * @subpackage Controllers
 * @author     ADAMnetworks <support@adamnet.works>
 * @copyright  2015-2022 ADAMnetworks
 * @license    All rights reserved
 * @link       https://adamnet.works
 */

///////////////////////////////////////////////////////////////////////////////
// C L A S S
///////////////////////////////////////////////////////////////////////////////

class Gateway_Management extends ClearOS_Controller
{
    ///////////////////////////////////////////////////////////////////////////////
    // V A R I A B L E S
    ///////////////////////////////////////////////////////////////////////////////

    // Initialized by constructor
    protected $dir = '';
    protected $webdir = '';

    ///////////////////////////////////////////////////////////////////////////////
    // M E T H O D S
    ///////////////////////////////////////////////////////////////////////////////

    /**
     * Main constructor.
     */
    function __construct($app = NULL)
    {

        $this->dir = basename(dirname(__DIR__));

        // Load dependencies
        //------------------
        $this->lang->load($this->dir);
        $this->load->library($this->dir . '/Service');

        if ($app) {
            $this->lang->load($app);
            $this->webdir = $app;
        } else {
            $this->webdir = $this->dir;
        }
    }

    /**
     * Default controller.
     *
     * @return view
     */
    function index()
    {
        if (!$this->service->is_enabled()) {
            redirect($this->webdir . '/settings/edit');
        }

        // Load views
        //-----------

        $views = array($this->webdir . '/server', $this->webdir . '/dashboard', $this->webdir . '/settings');

        $this->page->view_controllers($views, lang($this->webdir . '_app_name'));
    }
}
